%define section free

Summary:        JDiff - An HTML Report of API Differences
Name:           jdiff
Version:        1.0.10
Release:        1jpp
Epoch:          0
License:        LGPL
URL:            http://javadiff.sourceforge.net/
Group:          Development/Testing
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  ant >= 0:1.5.4, jpackage-utils >= 0:1.5.32
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JDiff is a Javadoc doclet which generates an HTML 
report of all the packages, classes, constructors, 
methods, and fields which have been removed, added 
or changed in any way, including their documentation, 
when two APIs are compared. This is very useful for 
describing exactly what has changed between two 
releases of a product. Only the API (Application 
Programming Interface) of each version is compared. 
It does not compare what the source code does when 
executed. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs and examples for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.


%prep
%setup -q -n %{name}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath \
junit)
ant -Dbuild.sysclasspath=first
javadoc -classpath lib/jdiff.jar:$JAVA_HOME/lib/tools.jar \
-d apidocs -sourcepath src -subpackages jdiff


%install
rm -rf $RPM_BUILD_ROOT

# bins
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
cp -p bin/jdiff $RPM_BUILD_ROOT%{_bindir}

# jars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual and examples
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p *.xml $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p *.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p *.css $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr examples $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/*.txt
%attr(755,root,root)                 %{_bindir}/*
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}


%changelog
* Tue Nov 08 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.10-1jpp
- Upgrade to 1.0.10

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0.9-2jpp
- Rebuild with ant-1.6.2

* Fri Feb 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.9-1jpp
- First JPackage release
